| GL Studio C++ Runtime API

Public Types | Public Member Functions | Public Attributes | List of all members
RSOInterface1::KeyboardEvent Class Reference

`#include <rso_interface_1.h>`

Inheritance diagram for RSOInterface1::KeyboardEvent:

## Public Types
enum | { KEY_Button = 0xfee8 , KEY_BackSpace = 0xff08 , KEY_Tab = 0xff09 , KEY_Enter = 0xff0d , KEY_Pause = 0xff13 , KEY_Scroll_Lock = 0xff14 , KEY_Escape = 0xff1b , KEY_Home = 0xff50 , KEY_Left = 0xff51 , KEY_Up = 0xff52 , KEY_Right = 0xff53 , KEY_Down = 0xff54 , KEY_Page_Up = 0xff55 , KEY_Page_Down = 0xff56 , KEY_End = 0xff57 , KEY_Print = 0xff61 , KEY_Insert = 0xff63 , KEY_Menu = 0xff67 , KEY_Num_Lock = 0xff7f , KEY_KP = 0xff80 , KEY_KP_Enter = 0xff8d , KEY_KP_Last = 0xffbd , KEY_F = 0xffbd , KEY_F_Last = 0xffe0 , KEY_Shift_L = 0xffe1 , KEY_Shift_R = 0xffe2 , KEY_Control_L = 0xffe3 , KEY_Control_R = 0xffe4 , KEY_Caps_Lock = 0xffe5 , KEY_Meta_L = 0xffe7 , KEY_Meta_R = 0xffe8 , KEY_Alt_L = 0xffe9 , KEY_Alt_R = 0xffea , KEY_Delete = 0xffff }
| < More...
Public Types inherited from RSOInterface1::Event
enum | EventTypeEnum { EVENT_MOUSE = 0 , EVENT_KEYBOARD , EVENT_TIMER , EVENT_OBJECT , EVENT_KEYBOARD_UP }
enum | EventSubtypeEnum { MOUSE_DOWN = 0 , MOUSE_UP , MOUSE_MOVE , MOUSE_DRAG , MOUSE_LEAVE , MOUSE_ENTER , MOUSE_WHEEL_MINUS , MOUSE_WHEEL_PLUS }
enum | SpecialKeyState { NONE_STATE = 0 , SHIFT_STATE = 0x00010000 , CAPS_LOCK_STATE = 0x00020000 , CTRL_STATE = 0x00040000 , ALT_STATE = 0x00080000 , NUM_LOCK_STATE = 0x00100000 , META_STATE = 0x00400000 , SCROLL_LOCK_STATE = 0x00800000 , BUTTON1_STATE = 0x01000000 , BUTTON2_STATE = 0x02000000 , BUTTON3_STATE = 0x04000000 }

## Public Member Functions
int | KeySym ()
void | KeySym (int value)
int | Modifiers ()
void | Modifiers (int value)
Public Member Functions inherited from RSOInterface1::LocationEvent
Vector | WinLoc ()
void | WinLoc (Vector value)
Public Member Functions inherited from RSOInterface1::Event
unsigned short | EventType ()
void | EventType (unsigned short value)
unsigned short | EventSubType ()
void | EventSubType (unsigned short value)

## Public Attributes
enum disti::RSOInterface1::KeyboardEvent:: { ... } | KeySymCodeEnum
| < More...
int | _keysym
int | _modifiers
Public Attributes inherited from RSOInterface1::LocationEvent
Vector | _winLoc
Public Attributes inherited from RSOInterface1::Event
unsigned short | _eventType
unsigned short | _eventSubtype

## Detailed Description

An event containing keyboard input

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

<

The KeySymCodeEnum enumeration. Used by keysym (use ascii letters for all other keys):

## Member Function Documentation

## ◆ KeySym() [1/2]

int KeySym | ( |  | ) |
| inline

Returns
  The key symbol code for this event.

## ◆ KeySym() [2/2]

void KeySym | ( | int | value | ) |
| inline

Set the key symbol associated with this event.

Parameters

  value | The new symbol to set.

## ◆ Modifiers() [1/2]

int Modifiers | ( |  | ) |
| inline

Returns
  The current keyboard modifiers for this event.

## ◆ Modifiers() [2/2]

void Modifiers | ( | int | value | ) |
| inline

Set the keyboard modifiers for this event, e.g. shift is held.

Parameters

  value | The new modifiers to set.

## Member Data Documentation

## ◆ _keysym

int _keysym

Code for key that was pressed (

See also
  KeySymCodeEnum)

## ◆ _modifiers

int _modifiers

bitfield: which modifiers or buttons were pressed (

See also
  SpecialKeyState)

## ◆

enum { ... } KeySymCodeEnum

<

The KeySymCodeEnum enumeration. Used by keysym (use ascii letters for all other keys):

The documentation for this class was generated from the following file:

- rso_interface_1.h